| API Docs for SAX and DOM |
| Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members # XMLGrammarDescription Class Reference Inheritance diagram for XMLGrammarDescription: [legend] Collaboration diagram for XMLGrammarDescription: [legend] List of all members.
## Public Methods
MemoryManager * | getMemoryManager () const
Virtual destructor for derived classes
virtual | ~XMLGrammarDescription ()
| virtual destructor. More...
The Grammar Description Interface
virtual Grammar::GrammarType | getGrammarType () const=0
| getGrammarType. More...
virtual const XMLCh * | getGrammarKey () const=0
| getGrammarKey. More...
## Protected Methods
| XMLGrammarDescription (MemoryManager *const memMgr=XMLPlatformUtils::fgMemoryManager)
## Constructor & Destructor Documentation
virtual XMLGrammarDescription::~XMLGrammarDescription | ( |  | ) | `[virtual]`
| virtual destructor.
XMLGrammarDescription::XMLGrammarDescription | ( | MemoryManager *const | memMgr = XMLPlatformUtils::fgMemoryManager | ) | `[protected]`
## Member Function Documentation
virtual const XMLCh* XMLGrammarDescription::getGrammarKey | ( |  | ) | const`[pure virtual]`
| getGrammarKey.
virtual Grammar::GrammarType XMLGrammarDescription::getGrammarType | ( |  | ) | const`[pure virtual]`
| getGrammarType. Implemented in XMLDTDDescription.
MemoryManager * XMLGrammarDescription::getMemoryManager | ( |  | ) | const
The documentation for this class was generated from the following file: XMLGrammarDescription.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.